package com.ozs.mdm.service;

import java.util.List;

import com.ozs.mdm.dto.MdmDimDatabaseType;
import com.ozs.mdm.dto.MdmDimResourceCharset;
import com.ozs.mdm.dto.MdmDimResourceType;
import com.ozs.mdm.dto.MdmInfoDatabase;
import com.ozs.mdm.util.R;

public interface DatabaseManageService {

	R<String> saveDatabase(MdmInfoDatabase database) throws Exception;

	R<List<MdmDimDatabaseType>> listDatabaseType();

	R<List<MdmDimResourceCharset>> listCharsetType();

	R<List<MdmDimResourceType>> listResourceType();

	R<List<MdmInfoDatabase>> listDatabase(String resourceName, Integer resourceType, String sort, String order,
			Integer page, Integer pageSize);

	R<String> getTestConnection(String ip, String resourcePort, String username, String password, String databaseName,
			Integer resourceType);

	R<MdmInfoDatabase> getDatabaseById(String id);

	R<String> updateDatabase(MdmInfoDatabase database);

	R<String> removeDatabase(String id);

	R<String> updateOriginalDatabase(String databaseId) throws Exception;

}
